## ros-humble-realsense2-camera-msgs 4.54.1

=== CMakeLists.txt ===
# Copyright 2023 Intel Corporation. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(realsense2_camera_msgs)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  "msg/IMUInfo.msg"
  "msg/Extrinsics.msg"
  "msg/Metadata.msg"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  "srv/DeviceInfo.srv"
  DEPENDENCIES builtin_interfaces std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-realsense2-camera-msgs (4.54.1-1jammy) jammy; urgency=high

  * add info about extrinsic msg format in Extrinsics.msg and README.md
  * Expose USB port in DeviceInfo service
  * Fix Apache License Header and Intel Copyrights
  * apply copyrights and license on project
  * Contributors: Arun Prasad, Nir Azkiel, SamerKhshiboun, Stephan Wirth

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 26 Jun 2023 21:00:00 -0000

ros-humble-realsense2-camera-msgs (4.51.1-1jammy) jammy; urgency=high

  * Add copyright and license to all ROS2-beta source files
  * Contributors: SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 12 Sep 2022 21:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.4-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Sat, 19 Mar 2022 22:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.3-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 15 Mar 2022 22:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.2-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 23 Feb 2022 22:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.1-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 31 Jan 2022 22:00:00 -0000

ros-humble-realsense2-camera-msgs (3.2.3-1jammy) jammy; urgency=high

  * publish metadata
  * Add service: device_info
  * Contributors: doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 10 Nov 2021 22:00:00 -0000

=== debian/control ===
Source: ros-humble-realsense2-camera-msgs
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-humble-realsense2-camera-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: RealSense camera_msgs package containing realsense camera messages definitions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-camera-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-realsense2-camera-msgs 4.55.1

=== debian/changelog ===
ros-humble-realsense2-camera-msgs (4.55.1-1bookworm) bookworm; urgency=high

  * PR #2830 <https://github.com/IntelRealSense/realsense-ros/issues/2830> from SamerKhshiboun: Add RGBD + reduce changes between hkr and development
  * Contributors: SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-realsense2-camera-msgs (4.54.1-1bookworm) bookworm; urgency=high

  * add info about extrinsic msg format in Extrinsics.msg and README.md
  * Expose USB port in DeviceInfo service
  * Fix Apache License Header and Intel Copyrights
  * apply copyrights and license on project
  * Contributors: Arun Prasad, Nir Azkiel, SamerKhshiboun, Stephan Wirth

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 26 Jun 2023 16:00:00 -0000

ros-humble-realsense2-camera-msgs (4.51.1-1bookworm) bookworm; urgency=high

  * Add copyright and license to all ROS2-beta source files
  * Contributors: SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.4-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Sat, 19 Mar 2022 16:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.3-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 15 Mar 2022 16:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.2-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 23 Feb 2022 16:00:00 -0000

ros-humble-realsense2-camera-msgs (4.0.1-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 31 Jan 2022 16:00:00 -0000

ros-humble-realsense2-camera-msgs (3.2.3-1bookworm) bookworm; urgency=high

  * publish metadata
  * Add service: device_info
  * Contributors: doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 10 Nov 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-realsense2-camera-msgs
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-humble-realsense2-camera-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: RealSense camera_msgs package containing realsense camera messages definitions

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-camera-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-camera-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-realsense2-camera-msgs//opt/ros/humble/opt/realsense2_camera_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
